<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- Generated 31/07/2008 10:20:14 by Hibernate Tools 3.2.0.b11 -->
<hibernate-mapping>
    <class name="org.sakaiproject.wontovlab.model.AccessControl" table="vl_access_control" >
        <comment></comment>
        
        <id name="accessControlId" type="java.lang.Long">
            <column name="access_control_id" />
           	<generator class="native">
                <param name="sequence">VL_ACCESSCONTROL_ID_SQL</param>
	    	</generator>
        </id>

        <property name="ownerId" type="string">
            <column name="owner_id" length="60" not-null="true">
                <comment></comment>
            </column>
        </property>
        
        <property name="date" type="string">
            <column name="date" length="100" not-null="true">
                <comment></comment>
            </column>
        </property>
        
    </class>
</hibernate-mapping>
